fix tests

X-Gentoo-Bug: 572602
X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=572602
This commit is contained in:
William Hubbs 2016-01-22 11:54:16 -06:00
parent 69f052b611
commit e277ae57ef
7 changed files with 12 additions and 13 deletions

View File

@ -21,7 +21,7 @@ depend()
esac esac
done done
config /etc/fstab config /etc/fstab
want $mywant want $mywant
use afc-client amd openvpn use afc-client amd openvpn
use dns use dns
keyword -jail -prefix -systemd-nspawn -vserver -lxc keyword -jail -prefix -systemd-nspawn -vserver -lxc

View File

@ -52,8 +52,8 @@ if [ ! -d $scandir ]; then
exit 1 exit 1
fi fi
# Make sure s6-svscan is running # Make sure s6-svscan is running
if ! pgrep s6-svscan >/dev/null ; then if ! pgrep s6-svscan >/dev/null ; then
printf "s6-svscan is not running\n" printf "s6-svscan is not running\n"
exit 1 exit 1
fi fi
@ -141,7 +141,7 @@ do
fi fi
done done
# Cleanup # Cleanup
rm -f $statfile 2>/dev/null rm -f $statfile 2>/dev/null
printf "\n\n" printf "\n\n"

View File

@ -244,7 +244,7 @@ for _cmd; do
break break
fi fi
done done
# Load our script # Load our script
sourcex "$RC_SERVICE" sourcex "$RC_SERVICE"

View File

@ -25,10 +25,10 @@ void selinux_setup(char **argv);
/* always return false for selinux_util_open() */ /* always return false for selinux_util_open() */
#define selinux_util_open() (0) #define selinux_util_open() (0)
#define selinux_util_label(x) do { } while(0) #define selinux_util_label(x) do { } while (0)
#define selinux_util_close() do { } while(0) #define selinux_util_close() do { } while (0)
#define selinux_setup(x) do { } while(0) #define selinux_setup(x) do { } while (0)
#endif #endif

View File

@ -282,7 +282,7 @@ open_shell(void)
#ifdef __linux__ #ifdef __linux__
const char *sys = rc_sys(); const char *sys = rc_sys();
/* VSERVER systems cannot really drop to shells */ /* VSERVER systems cannot really drop to shells */
if (sys && strcmp(sys, RC_SYS_VSERVER) == 0) if (sys && strcmp(sys, RC_SYS_VSERVER) == 0)
{ {

View File

@ -85,12 +85,14 @@ eend $? "Trailing newlines need to be deleted:"$'\n'"${out}"
ebegin "Checking for obsolete functions" ebegin "Checking for obsolete functions"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \ out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
! -name queue.h \
-exec grep -n -E '\<(malloc|memory|sys/(errno|fcntl|signal|stropts|termios|unistd))\.h\>' {} +) -exec grep -n -E '\<(malloc|memory|sys/(errno|fcntl|signal|stropts|termios|unistd))\.h\>' {} +)
[ -z "${out}" ] [ -z "${out}" ]
eend $? "Avoid these obsolete functions:"$'\n'"${out}" eend $? "Avoid these obsolete functions:"$'\n'"${out}"
ebegin "Checking for x* func usage" ebegin "Checking for x* func usage"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \ out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
! -name queue.h \
-exec grep -n -E '\<(malloc|strdup)[[:space:]]*\(' {} + \ -exec grep -n -E '\<(malloc|strdup)[[:space:]]*\(' {} + \
| grep -v \ | grep -v \
-e src/includes/helpers.h \ -e src/includes/helpers.h \
@ -100,6 +102,7 @@ eend $? "These need to be using the x* variant:"$'\n'"${out}"
ebegin "Checking spacing style" ebegin "Checking spacing style"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \ out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
! -name queue.h \
-exec grep -n -E \ -exec grep -n -E \
-e '\<(for|if|switch|while)\(' \ -e '\<(for|if|switch|while)\(' \
-e '\<(for|if|switch|while) \( ' \ -e '\<(for|if|switch|while) \( ' \

View File

@ -21,7 +21,3 @@ LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBR
PATH=${top_builddir}/src/rc:${PATH} PATH=${top_builddir}/src/rc:${PATH}
export LD_LIBRARY_PATH PATH export LD_LIBRARY_PATH PATH
cd ${top_srcdir}/src/rc
${MAKE:-make} links >/dev/null
cd -